import { action, configure } from "mobx";
import { AppState } from "./AppState";
import { CourseState } from "./CourseState";
import { FAQState } from "./FAQState";
import { UpdateState } from "./UpdateState";

configure({ enforceActions: true });

@action
export class Store {
	public static INSTANCE: Store;

	public appState = new AppState();

	public courseState = new CourseState();
	public updateState = new UpdateState();
	public faqsState = new FAQState();
}
