import assign from "lodash/assign";
import { BaseModel } from "./BaseModel";

export class FAQ extends BaseModel {
	public static fromJSON(json: any): FAQ {
		const faq = new FAQ();
		assign(faq, super.fromJSON(json));

		return faq;
	}

	public content: string;
	public title: string;
}
