import * as _ from "lodash";
import { BaseModel } from "./BaseModel";

export class Update extends BaseModel {
	public static fromJSON(json: any): Update {
		return _.assign(new Update(), super.fromJSON(json), {
			number: parseInt(json.number, 10)
		});
	}

	public code: string;
	public name: string;
	public number: number;
	public title: string;
}
