import * as React from "react";
import { Store } from "../data";

export interface BaseActionProps {}

export interface BaseActionState {}

export abstract class BaseAction<
	P extends BaseActionProps = BaseActionProps,
	S extends BaseActionState = BaseActionState
> extends React.Component<P, S> {
	protected store = Store.INSTANCE;

	public render() {
		return this.props.children || null;
	}
}
