import * as _ from "lodash";
import { BaseAction } from "./BaseAction";

export class FAQsFetcher extends BaseAction<{}, {}> {
	public componentDidMount() {
		const { store } = this;
		const { faqsState } = store;
		const { faqs } = faqsState;

		if (_.isNil(faqs.value) && !faqs.isLoading) {
			faqsState.fetchFAQs();
		}
	}
}
